### Function

# FwupdPlugin ArchiveIterateFunc

#### Declaration

    gboolean
    (* FuArchiveIterateFunc) (
      FuArchive* self,
      const gchar* filename,
      GBytes* bytes,
      gpointer user_data,
      GError** error
    )

#### Description [src]

The archive iteration callback.

#### Parameters

`self` | `FuArchive`
| A `FuArchive`.
| The data is owned by the caller of the function.
`filename` | `const gchar*`
| A filename.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`bytes` | `GBytes`
| The blob referenced by `filename`.
| The data is owned by the caller of the function.
`user_data` | `gpointer`
| User data.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| No description available.